package djmil.cordacheckers.cordaclient;

import java.util.List;
import java.util.UUID;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import djmil.cordacheckers.cordaclient.dao.GameState;
import djmil.cordacheckers.cordaclient.dao.Stone;
import djmil.cordacheckers.user.HoldingIdentityResolver;

@SpringBootTest
public class GameStateTests {
    @Autowired
    CordaClient cordaClient;

    @Autowired
    HoldingIdentityResolver holdingIdentityResolver;

    final String issuer = "alice";
    final String acquier = "bob";
    final Stone.Color acquierColor = Stone.Color.WHITE;

    @Test
    void testList() {
        List<GameState> gsList = cordaClient.gameStateList(
            holdingIdentityResolver.getByUsername("bob"));

        System.out.println(gsList);
    }

    @Test
    void testGet() {
        GameState gameStateView = cordaClient.gameStateGet(
            holdingIdentityResolver.getByUsername("bob"),
            UUID.fromString("cf357d0a-8f64-4599-b9b5-d263163812d4")
            );

        System.out.println(gameStateView);
    }

}
